CSI Version Compatibility

This matrix shows the released versions of the Container Storage Interface (CSI) storage plugin and their compatibility with other components in a Kubernetes environment.

CSI Storage Plugin Version Compatibility
FUSE or Loopback NFS Kubernetes CSI Spec Core OS for Kubernetes Nodes OpenShift HPE Ezmeral Container Platform
1.0.0 Loopback NFS 1.17 and later 1.3.0 Release 6.1.0 and later
  • RHEL
  • CentOS
  • Ubuntu
4.4, 4.5, 4.6 Future 5.2.x release1
1.2.0 FUSE 1.17 and later 1.3.0 Release 6.1.0 and later
  • RHEL
  • CentOS
  • Ubuntu
4.4, 4.5, 4.6 Future 5.2.x release1
1.1.0 FUSE 1.16 and later 1.3.0 Release 6.1.0 and later
  • RHEL
  • CentOS
  • Ubuntu
4.2 and 4.3 5.0 and 5.1
1.0.2 FUSE 1.13 and later 1.0.0 Release 6.1.0 and later
  • RHEL
  • CentOS
  • Ubuntu
4.1 and 4.2 5.0 and 5.1
1.0.0 FUSE 1.13 and later 1.0.0 Release 6.1.0 and later
  • RHEL
  • CentOS
  • Ubuntu
4.1 and 4.2 5.0 and 5.1

1Contact your HPE representative for availability.